textures/de-snake2-run/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              

	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/de-snake2-run/snow
{
	qer_editorimage textures/de-snake2-run/snow1.jpg
	q3map_baseshader textures/de-snake2-run/base_terrain
	
	surfaceparm landmine
	surfaceparm snowsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/de-snake2-run/snow1.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/de-snake2-run/snow_b
{
	qer_editorimage textures/de-snake2-run/snow2.jpg
	q3map_baseshader textures/de-snake2-run/base_terrain
	
	surfaceparm landmine
	surfaceparm snowsteps //	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/de-snake2-run/snow2.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/de-snake2-run/sand
{
	qer_editorimage textures/de-snake2-run/sandloor.jpg
	q3map_baseshader textures/de-snake2-run/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/de-snake2-run/sandloor.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/de-snake2-run/teleport
{      
	qer_editorImage textures/de-snake2-run/teleport.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite
	{
		clampMap textures/de-snake2-run/teleport.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/de-snake2-run/teleport.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
}

textures/de-snake2-run/clip_visible
{
	qer_editorImage textures/de-snake2-run/clip.tga
	qer_trans 0.25
	q3map_lightImage textures/de-snake2-run/clip.tga
	q3map_bounceScale 0.0
	surfaceparm trans
	surfaceparm nomarks
	noPicMip
	cull none
	{ 
		map textures/de-snake2-run/clip.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.25 0.25 0.25 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
}

 textures/de-snake2-run/lava
{
	
	q3map_globaltexture
	q3map_lightimage textures/de-snake2-run/lava.tga
	q3map_surfacelight 1300
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/de-snake2-run/lava.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}