textures/prototype/slimefalls
{
	qer_editorimage textures/prototype/foam.tga
      qer_trans .33
	deformVertexes wave 1817 sin 0 4.5 0 0.15
 	deformVertexes wave 517 sin 0 2.5 0 0.30
	nopicmip
	nocompress
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm lightfilter
	surfaceparm pointlight
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{
		map textures/prototype/foam.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin 0.2 0.1 0 0.2
		alphaGen vertex
		tcMod turb 0 0.10 0 0.10
		tcmod scroll -0.51 0.08 
 
// or
// this for 90 degree 
// delete // before the code and add it to tcmod scroll 0.51 0.08 

// 		tcmod scroll 0.08 0.51 
  
// or
// this for down to up
// delete // before the code and add it to tcmod scroll 0.51 0.08 

// 		tcmod scroll -0.08 -0.51 
  
	}
	{
		map textures/prototype/foam2.tga
		blendfunc blend
		tcMod scroll -0.41 0

// or
// this for 90 degree 
// delete // before the code and add it to tcmod scroll 0.41 0 

// 		tcmod scroll 0 0.41

// or
// this for down to up
// delete // before the code and add it to tcmod scroll 0.41 0 

// 		tcmod scroll 0 -0.41

		alphaGen Vertex
	}

}

textures/fueldump/icelake_top_cushion
{
	qer_trans 0.80
	qer_editorimage textures/snow_sd/icelake3.tga
	sort seethrough
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/snow_sd/icelake3.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/liquids/slime1_2000
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 500
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

textures/liquids/slime1
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 222
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

textures/liquids/slime1_lowsurf
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 80
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

textures/liquids/slime1_scroll
{
	qer_editorimage textures/liquids/scroll.jpg
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 80
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 0.2
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll -.01 .2
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}

textures/liquids/slime_tessSize
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 100
	tessSize 128
	cull disable

	deformVertexes wave 100 sin 0 10 .5 .33

	
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .4 1 .07
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .2 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles2.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .05 .1 .1
		tcMod scale .1 .1
		tcMod scroll .02 .02
	}		
}

textures/liquids/slime_tessSize_lowsurf
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 200
	tessSize 128
	cull disable

	deformVertexes wave 100 sin 0 10 .5 .33

	
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .4 1 .07
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .2 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles2.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .05 .1 .1
		tcMod scale .1 .1
		tcMod scroll .02 .02
	}		
}

textures/liquids/slime_tessSize_lowsurf2
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm water		

	q3map_surfacelight 60
	tessSize 128
	cull disable

	deformVertexes wave 100 sin 0 10 .5 .33

	
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .4 1 .07
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .2 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles2.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .05 .1 .1
		tcMod scale .1 .1
		tcMod scroll .02 .02
	}		
}

textures/liquids/slime_tessSize_wave
{
    qer_editorimage textures/liquids/slime7.tga
    qer_trans 0.5
    q3map_lightimage textures/liquids/slime7.tga
    q3map_globaltexture
    q3map_tessSize 384
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 100 sin 0 32 .5 .166
    {
        map textures/liquids/slime7c.tga
        tcMod turb .3 .4 1 .07
        tcMod scroll .01 .01
    }
    {
        map textures/liquids/slime7.tga
        blendFunc GL_ONE GL_ONE
        tcMod turb .2 .2 1 .05
        tcMod scale .5 .5
        tcMod scroll .01 .01
    }
    {
        map textures/liquids/bubbles2.tga
        blendfunc GL_ZERO GL_SRC_COLOR
        tcMod turb .2 .05 .1 .1
        tcMod scale .1 .1
        tcMod scroll .02 .02
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/skies/mp_cybtech_2
{
	qer_editorimage env/mp_cybtech/cybortech_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 120
	surfaceparm sky
	q3map_sun 0.894 0.933 1.00 200 215 60
	skyparms env/mp_cybtech/cybortech - -
}

textures/skies/mp_downunder
{
	qer_editorimage env/mp_downunder/down-under_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 1 1 1 100 0 90
	skyparms env/mp_downunder/down-under - -
}



textures/liquids/slime_tessSize_wave3
{
    qer_editorimage textures/liquids/slime7.tga
    qer_trans 0.5
    q3map_lightimage textures/liquids/slime7.tga
    q3map_globaltexture
    q3map_tessSize 256
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 256 sin 0 32 .5 .1
    {
        map textures/liquids/slime7c.tga
        tcMod turb .3 .4 1 .07
		tcMod scale .5 .5
        tcMod scroll .02 .02
    }
    {
        map textures/liquids/slime7.tga
        blendFunc GL_ONE GL_ONE
        tcMod turb .2 .2 1 .05
        tcMod scale .25 .25
        tcMod scroll .02 .02
    }
    {
        map textures/liquids/bubbles2.tga
        blendfunc GL_ZERO GL_SRC_COLOR
        tcMod turb .2 .05 .1 .1
        tcMod scale .033 .033
        tcMod scroll .033 .033
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/liquids/slime_tessSize_nosurf
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
    q3map_globaltexture
    q3map_tessSize 384
	q3map_surfacelight 200
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
	deformVertexes wave 100 sin 0 10 .5 .33

	
	{
		map textures/liquids/slime7c.tga
		tcMod turb .3 .4 1 .07
		tcMod scroll .01 .01
	}
	
	{
		map textures/liquids/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .2 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles2.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .05 .1 .1
		tcMod scale .1 .1
		tcMod scroll .02 .02
	}		
	{
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/liquids/slime_tessSize_wave2
{
    qer_editorimage textures/liquids/slime7.tga
    qer_trans 0.5
    q3map_lightimage textures/liquids/slime7.tga
    q3map_globaltexture
    q3map_tessSize 256
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 100 sin 0 10 .5 .33
    {
        map textures/liquids/slime7c.tga
        tcMod turb .3 .4 1 .07
        tcMod scroll .01 .01
    }
    {
        map textures/liquids/slime7.tga
        blendFunc GL_ONE GL_ONE
        tcMod turb .2 .2 1 .05
        tcMod scale .5 .5
        tcMod scroll .01 .01
    }
    {
        map textures/liquids/bubbles2.tga
        blendfunc GL_ZERO GL_SRC_COLOR
        tcMod turb .2 .05 .1 .1
        tcMod scale .1 .1
        tcMod scroll .02 .02
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/prototype/teleglow01
{
	cull none
	sort additive

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15 //rgbGen wave <func> <base> <amp><phase> <freq>
		rgbGen const ( .0 0.5 0.8 )  
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .6 1.5
		rgbGen const ( 0.1 .6 1 )
	}
}
textures/prototype/teleglow02
{
	cull none
	sort additive
	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
		rgbGen const ( 0 0.4 0.9 )
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one 
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
		rgbGen const ( 0.2 0.6 1 )
	}
}
textures/prototype/teleglow03
{
	cull none
	sort additive
	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0.1 1.3
		tcMod rotate 50
		rgbGen wave sawtooth .75 .5 .6 1.3
		rgbGen const ( 0 0.4 0.8 )
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one 
		tcMod stretch sawtooth 1 -.9 .25 1.25
		tcMod rotate -25
		rgbGen wave sawtooth .75 .6 .1 1.25
		rgbGen const ( 0.2 0.6 1 )
	}
}

textures/prototype/decal01
{
   qer_editorimage textures/prototype/decal1.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal1.tga
      blendfunc blend
   }
}

textures/prototype/decal02
{
   qer_editorimage textures/prototype/decal2.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal2.tga
      blendfunc blend
   }
}

textures/prototype/decal03
{
   qer_editorimage textures/prototype/decal3.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal3.tga
      blendfunc blend
   }
}

textures/prototype/decal04
{
   qer_editorimage textures/prototype/decal4.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal4.tga
      blendfunc blend
   }
}

textures/prototype/decal05
{
   qer_editorimage textures/prototype/decal5.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal5.tga
      blendfunc blend
   }
}

textures/prototype/decal06
{
   qer_editorimage textures/prototype/decal6.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal6.tga
      blendfunc blend
   }
}

textures/prototype/decal07
{
   qer_editorimage textures/prototype/decal7.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal7.tga
      blendfunc blend
   }
}

textures/prototype/decal08
{
   qer_editorimage textures/prototype/decal8.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal8.tga
      blendfunc blend
   }
}

textures/prototype/decal09
{
   qer_editorimage textures/prototype/decal9.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal9.tga
      blendfunc blend
   }
}

textures/prototype/decal10
{
   qer_editorimage textures/prototype/decal10.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal10.tga
      blendfunc blend
   }
}

textures/prototype/decal_thanks1
{
   qer_editorimage textures/prototype/decal_t1.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal_t1.tga
      blendfunc blend
   }
}

textures/prototype/decal_thanks2
{
   qer_editorimage textures/prototype/decal_t2.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/prototype/decal_t2.tga
      blendfunc blend
   }
}

textures/prototype/hazz
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/common/nosave
{
   qer_editorimage textures/rise/nosave.tga
   qer_nocarve
   qer_trans 0.3
   surfaceparm nodraw
   surfaceparm trans
   surfaceparm clusterportal
}

textures/prototype/fog
{
	qer_editorimage textures/rise/fog.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 1
//	fogparms ( .15 .15 .17 ) 768
	fogparms ( .02 0.08 .02 ) 6400
//	fogparms ( .5 .5 .5 ) 128
}

textures/prototype/_black
{
	qer_editorimage textures/prototype/_black.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	implicitMap -
}

textures/prototype/fog2
{
	qer_editorimage textures/rise/fog.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 1
//	fogparms ( .15 .15 .17 ) 768
	fogparms ( .02 0.08 .02 ) 3200
//	fogparms ( .5 .5 .5 ) 128
}

textures/prototype/teleglow01b
{
	cull none
	sort additive

	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15 //rgbGen wave <func> <base> <amp><phase> <freq>
		rgbGen const ( .5 0.0 0.8 )  
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .6 1.5
		rgbGen const ( .6 .1 1 )
	}
}
textures/prototype/teleglow02b
{
	cull none
	sort additive
	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0 1.5
		tcMod rotate 60
		rgbGen wave sawtooth .75 .5 .6 1.5
		rgbGen const ( 0.4 0 0.9 )
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one 
		tcMod stretch sawtooth 1 -.9 .5 1.20
		tcMod rotate -20
		rgbGen wave sawtooth .75 .5 .1 1.20
		rgbGen const ( 0.6 0.2 1 )
	}
}
textures/prototype/teleglow03b
{
	cull none
	sort additive
	deformVertexes autosprite
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 0.1 1.3
		tcMod rotate 50
		rgbGen wave sawtooth .75 .5 .6 1.3
		rgbGen const ( 0.4 0 0.8 )
	}
	{
		clampmap textures/prototype/teleglow.tga
		blendfunc gl_one gl_one 
		tcMod stretch sawtooth 1 -.9 .25 1.25
		tcMod rotate -25
		rgbGen wave sawtooth .75 .6 .1 1.25
		rgbGen const ( 0.6 0.2 1 )
	}
}